load("@io_bazel_rules_go//go:def.bzl", "go_library", "go_test")

go_library(
    name = "updates",
    srcs = [
        "controller.go",
        "downloader.go",
        "errors.go",
        "semver.go",
        "types.go",
    ],
    importpath = "github.com/Eriyc/rules_wails/pkg/wails3kit/updates",
    visibility = ["//visibility:public"],
    deps = [
        "@org_golang_x_mod//semver",
    ],
)

go_test(
    name = "updates_test",
    srcs = ["controller_test.go"],
    embed = [":updates"],
    deps = [],
)
